- name: Include symlinks tasks
  ansible.builtin.import_tasks: tasks/global/symlinks.yml

- name: Gather package facts
  ansible.builtin.package_facts:
    manager: auto
  become: true

- name: Include Tailscale tasks
  ansible.builtin.import_tasks: tasks/global/tailscale.yml
  become: true

- name: Include Rust tasks
  ansible.builtin.import_tasks: tasks/global/rust.yml
  become: true

- name: Include Docker tasks
  ansible.builtin.import_tasks: tasks/global/docker.yml
  become: true

- name: Include Ollama tasks
  ansible.builtin.import_tasks: tasks/global/ollama.yml
  become: true

- name: Ensure common packages are installed
  ansible.builtin.package:
    name:
      - git
      - vim
      - pipx
      - trash-cli
      - curl
      - wget
    state: present
  become: true

- name: Include pipx tasks
  ansible.builtin.import_tasks: tasks/global/pipx.yml

- name: Include zsync tasks
  ansible.builtin.import_tasks: tasks/global/zsync.yml
